// Copyright (C) 2004-2007, Software Development Laboratories, "Fish" (David B. Trout)
//////////////////////////////////////////////////////////////////////////////////////////
//
//      stdafx.h  --  #include file for standard system include files, or
//                    project specific include files that are used frequently,
//                    but are otherwise changed infrequently...
//
//////////////////////////////////////////////////////////////////////////////////////////
//
//  Change History:
//
//  07/16/04    1.0.0   Fish    Created.
//  02/04/07    1.5.0   Fish    VS2005
//  02/04/07    1.6.0   Fish    x64
//  02/27/07    1.6.1   Fish    Fix for VS2005 SP1
//
//////////////////////////////////////////////////////////////////////////////////////////

#pragma once

//////////////////////////////////////////////////////////////////////////////////////////
// VS 2005 SP1: force acceptance of non-SP1 'vcredist' DLLs if that's all they have

#define   _USE_RTM_VERSION     // accept CRT/MFC version "8.0.50727.0" or greater

//////////////////////////////////////////////////////////////////////////////////////////
// Use new WinXP style skin/buttons/etc...

#if                                                                       defined _M_IX86
  #pragma comment( linker, "/manifestdependency:\"type='win32' processorArchitecture='x86'   name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df'\"" )
#elif                                                                      defined _M_IA64
  #pragma comment( linker, "/manifestdependency:\"type='win32' processorArchitecture='ia64'  name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df'\"" )
#elif                                                                        defined _M_X64
  #pragma comment( linker, "/manifestdependency:\"type='win32' processorArchitecture='amd64' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df'\"" )
#else                                                                          // (any/other)
  #pragma comment( linker, "/manifestdependency:\"type='win32' processorArchitecture='*'     name='Microsoft.Windows.Common-Controls' version='6.0.0.0' publicKeyToken='6595b64144ccf1df'\"" )
#endif

//////////////////////////////////////////////////////////////////////////////////////////
// Standardize compile flags...

#if   !defined(  WIN64 ) && defined( _WIN64 )
  #define        WIN64
#elif !defined( _WIN64 ) && defined(  WIN64 )
  #define       _WIN64
#endif

//////////////////////////////////////////////////////////////////////////////////////////

#define VC_EXTRALEAN            // Exclude rarely-used stuff from Windows headers

#define  _WIN32_WINNT    0x0500             // VS2005: (Windows 2000 or greater)
#define  WINVER          0x0500             // VS2005: (Windows 2000 or greater)

#define    _CRT_NONSTDC_NO_DEPRECATE   1
#define    _CRT_SECURE_NO_DEPRECATE    1

#if defined( _WIN64 )
  #undef   _USE_32BIT_TIME_T
#else
  #define  _USE_32BIT_TIME_T           1
#endif

//////////////////////////////////////////////////////////////////////////////////////////

#include <afx.h>
#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdtctl.h>       // MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>         // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <iostream>
#include <afxpriv.h>        // (USES_CONVERSION, T2CA, etc)

#include <fcntl.h>
#include <conio.h>

//////////////////////////////////////////////////////////////////////////////////////////

#include "fishlib.h"
#include "product.h"
#include "version.h"

#pragma hdrstop             // (end pre-compiled headers here)

//////////////////////////////////////////////////////////////////////////////////////////
